# Shift built-in

The shift built-in removes some positional parameters.

## Syntax

- `shift [count]`

## Description

The shift built-in removes the first count positional parameters.

## Operands

count

  The number of positional parameters to be removed.

  It is an error if the actual number of positional parameters is less than count. If omitted, the default value is one.

## Exit status

The exit status of the shift built-in is zero unless there is any error.

## Notes

The shift built-in is a special built-in.

The number of positional parameters can be obtained with the `#` special parameter.